package com.zd.chemical.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;

/**
 * 化学品信息对象 hxp_chemical
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品信息")
public class HxpChemical extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 化学品编号
     */
    @Excel(name = "化学品编号")
    @Length(message = "化学品编号长度不能超过30")
    @ApiModelProperty(value = "化学品编号")
    private String chemicalNum;
    /**
     * 化学品名字
     */
    @Excel(name = "化学品名字")
    @Length(message = "化学品名字长度不能超过50")
    @ApiModelProperty(value = "化学品名字")
    private String chemicalName;
    /**
     * 化学品分类
     */
    @Excel(name = "化学品分类")
    @ApiModelProperty(value = "化学品分类")
    private Long chemicalClassify;
    /**
     * 分类属性，多值用逗号分开，（参考字典表）
     */
    @Excel(name = "分类属性，多值用逗号分开，（参考字典表）")
    @ApiModelProperty(value = "分类属性，多值用逗号分开，（参考字典表）")
    private String classifyAttribute;
    /**
     * 化学品形态（1是固体，2是体液）
     */
    @Excel(name = "化学品形态", readConverterExp = "1=是固体，2是体液")
    @ApiModelProperty(value = "化学品形态")
    private Integer chemicalShape;
    /**
     * 标签类型（1是RFID，2是二维码）
     */
    @Excel(name = "标签类型", readConverterExp = "1=是RFID，2是二维码")
    @ApiModelProperty(value = "标签类型")
    private Integer labelType;
    /**
     * 计量方式（1是重量，2是体积，3是个数）
     */
    @Excel(name = "计量方式", readConverterExp = "1=是重量，2是体积，3是个数")
    @ApiModelProperty(value = "计量方式")
    private Integer measuringMethod;
    /**
     * 单位（mg,g,kg,t）
     */
    @Excel(name = "单位", readConverterExp = "m=g,g,kg,t")
    @Length(message = "单位长度不能超过2")
    @ApiModelProperty(value = "单位")
    private String chemicalUnit;
    /**
     * 验证方式（1是单人验证，2是双人双卡）
     */
    @Excel(name = "验证方式", readConverterExp = "1=是单人验证，2是双人双卡")
    @ApiModelProperty(value = "验证方式")
    private Integer verification;
    /**
     * 别名
     */
    @Excel(name = "别名")
    @Length(message = "别名长度不能超过50")
    @ApiModelProperty(value = "别名")
    private String anotherName;
    /**
     * cas号
     */
    @Excel(name = "cas号")
    @Length(message = "cas号长度不能超过50")
    @ApiModelProperty(value = "cas号")
    private String casNum;
    /**
     * 生产厂家
     */
    @Excel(name = "生产厂家")
    @Length(message = "生产厂家长度不能超过50")
    @ApiModelProperty(value = "生产厂家")
    private String factory;
    /**
     * 纯度
     */
    @Excel(name = "纯度")
    @Length(message = "纯度长度不能超过50")
    @ApiModelProperty(value = "纯度")
    private String purity;
    /**
     * 领用时效小时
     */
    @Excel(name = "领用时效小时")
    @ApiModelProperty(value = "领用时效小时")
    private Integer collectHour;
    /**
     * 领用时效分钟
     */
    @Excel(name = "领用时效分钟")
    @ApiModelProperty(value = "领用时效分钟")
    private Integer collectMinute;

    /**
     * 关联危险源的id
     */
    @Excel(name = "关联危险源的id")
    @ApiModelProperty(value = "关联危险源的id")
    private Long joinHazardId;

    @ApiModelProperty(value = "化学品名全称")
    private String chemicalNamePinyin;

    @ApiModelProperty(value = "化学品名全称")
    private String chemicalNameChar;

    @ApiModelProperty(value = "化学品别名全称")
    private String anotherNamePinyin;

    @ApiModelProperty(value = "关联危险源的id")
    private String anotherNameChar;

    @ApiModelProperty(value = "临界量")
    private BigDecimal criticality;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setChemicalNum(String chemicalNum) {
        this.chemicalNum = chemicalNum;
    }

    public String getChemicalNum() {
        return chemicalNum;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalClassify(Long chemicalClassify) {
        this.chemicalClassify = chemicalClassify;
    }

    public Long getChemicalClassify() {
        return chemicalClassify;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public void setChemicalShape(Integer chemicalShape) {
        this.chemicalShape = chemicalShape;
    }

    public Integer getChemicalShape() {
        return chemicalShape;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setMeasuringMethod(Integer measuringMethod) {
        this.measuringMethod = measuringMethod;
    }

    public Integer getMeasuringMethod() {
        return measuringMethod;
    }

    public void setChemicalUnit(String chemicalUnit) {
        this.chemicalUnit = chemicalUnit;
    }

    public String getChemicalUnit() {
        return chemicalUnit;
    }

    public void setVerification(Integer verification) {
        this.verification = verification;
    }

    public Integer getVerification() {
        return verification;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public String getFactory() {
        return factory;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getPurity() {
        return purity;
    }

    public void setCollectHour(Integer collectHour) {
        this.collectHour = collectHour;
    }

    public Integer getCollectHour() {
        return collectHour;
    }

    public void setCollectMinute(Integer collectMinute) {
        this.collectMinute = collectMinute;
    }

    public Integer getCollectMinute() {
        return collectMinute;
    }

    public Long getJoinHazardId() {
        return joinHazardId;
    }

    public void setJoinHazardId(Long joinHazardId) {
        this.joinHazardId = joinHazardId;
    }

    public String getChemicalNamePinyin() {
        return chemicalNamePinyin;
    }

    public void setChemicalNamePinyin(String chemicalNamePinyin) {
        this.chemicalNamePinyin = chemicalNamePinyin;
    }

    public String getChemicalNameChar() {
        return chemicalNameChar;
    }

    public void setChemicalNameChar(String chemicalNameChar) {
        this.chemicalNameChar = chemicalNameChar;
    }

    public String getAnotherNamePinyin() {
        return anotherNamePinyin;
    }

    public void setAnotherNamePinyin(String anotherNamePinyin) {
        this.anotherNamePinyin = anotherNamePinyin;
    }

    public String getAnotherNameChar() {
        return anotherNameChar;
    }

    public void setAnotherNameChar(String anotherNameChar) {
        this.anotherNameChar = anotherNameChar;
    }

    public BigDecimal getCriticality() {
        return criticality;
    }

    public void setCriticality(BigDecimal criticality) {
        this.criticality = criticality;
    }
}
